Get colors for a style item
curl --request GET \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}/colorsimport requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}/colors"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/items/{styleItemId}/colors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": [
{
"id": 123,
"styleItemId": 123,
"state": "active",
"styleColor": {
"id": 123,
"state": "active",
"colorMaster": {
"id": 123,
"name": "<string>",
"state": "active",
"customId": "<string>",
"customId2": "<string>",
"colorReference": "<string>",
"colorNote": "<string>"
}
},
"itemColor": {
"id": 123,
"name": "<string>",
"state": "active",
"deadline": "2023-11-07T05:31:56Z",
"etd": "2023-11-07T05:31:56Z",
"physicalReferenceNumber": "<string>",
"adminColor": {
"id": 123,
"colorReference": "<string>",
"name": "<string>",
"state": "active",
"customId": "<string>",
"customId2": "<string>",
"colorNote": "<string>"
},
"supplierColor": {
"id": 123,
"itemPartId": 123,
"name": "<string>",
"rgb": "<string>",
"colorReference": "<string>",
"composition": "<string>",
"properties": [
"<string>"
]
},
"properties": [
"<string>"
]
},
"properties": [
"<string>"
]
}
]
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}StyleItems
Get colors for a style item
Returns a list of selected item color cards per style color, including the master color reference, admin color, and supplier color information.
GET
/
api
/
styles
/
{styleId}
/
items
/
{styleItemId}
/
colors
Get colors for a style item
Headers
Path Parameters
Identifier of the style the item belongs to.
Identifier of the style item whose colors to return.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes